<?php



$tdatatb_cotaitens_consumo = array();
$tdatatb_cotaitens_consumo[".searchableFields"] = array();
$tdatatb_cotaitens_consumo[".ShortName"] = "tb_cotaitens_consumo";
$tdatatb_cotaitens_consumo[".OwnerID"] = "";
$tdatatb_cotaitens_consumo[".OriginalTable"] = "tb_cotaitens_consumo";


$tdatatb_cotaitens_consumo[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_cotaitens_consumo[".originalPagesByType"] = $tdatatb_cotaitens_consumo[".pagesByType"];
$tdatatb_cotaitens_consumo[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_cotaitens_consumo[".originalPages"] = $tdatatb_cotaitens_consumo[".pages"];
$tdatatb_cotaitens_consumo[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_cotaitens_consumo[".originalDefaultPages"] = $tdatatb_cotaitens_consumo[".defaultPages"];

//	field labels
$fieldLabelstb_cotaitens_consumo = array();
$fieldToolTipstb_cotaitens_consumo = array();
$pageTitlestb_cotaitens_consumo = array();
$placeHolderstb_cotaitens_consumo = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelstb_cotaitens_consumo["English"] = array();
	$fieldToolTipstb_cotaitens_consumo["English"] = array();
	$placeHolderstb_cotaitens_consumo["English"] = array();
	$pageTitlestb_cotaitens_consumo["English"] = array();
	$fieldLabelstb_cotaitens_consumo["English"]["cotacaoID"] = "ID";
	$fieldToolTipstb_cotaitens_consumo["English"]["cotacaoID"] = "";
	$placeHolderstb_cotaitens_consumo["English"]["cotacaoID"] = "";
	$fieldLabelstb_cotaitens_consumo["English"]["itenconsumoID"] = "Itenconsumo ID";
	$fieldToolTipstb_cotaitens_consumo["English"]["itenconsumoID"] = "";
	$placeHolderstb_cotaitens_consumo["English"]["itenconsumoID"] = "";
	$fieldLabelstb_cotaitens_consumo["English"]["fornecedor"] = "Fornecedor";
	$fieldToolTipstb_cotaitens_consumo["English"]["fornecedor"] = "";
	$placeHolderstb_cotaitens_consumo["English"]["fornecedor"] = "";
	$fieldLabelstb_cotaitens_consumo["English"]["preco"] = "Preço ";
	$fieldToolTipstb_cotaitens_consumo["English"]["preco"] = "";
	$placeHolderstb_cotaitens_consumo["English"]["preco"] = "";
	$fieldLabelstb_cotaitens_consumo["English"]["apresentacao"] = "Apresentação ";
	$fieldToolTipstb_cotaitens_consumo["English"]["apresentacao"] = "";
	$placeHolderstb_cotaitens_consumo["English"]["apresentacao"] = "";
	$fieldLabelstb_cotaitens_consumo["English"]["vigente"] = "Vigente";
	$fieldToolTipstb_cotaitens_consumo["English"]["vigente"] = "";
	$placeHolderstb_cotaitens_consumo["English"]["vigente"] = "";
	$fieldLabelstb_cotaitens_consumo["English"]["foto_pdto"] = "Foto Pdto";
	$fieldToolTipstb_cotaitens_consumo["English"]["foto_pdto"] = "";
	$placeHolderstb_cotaitens_consumo["English"]["foto_pdto"] = "";
	$fieldLabelstb_cotaitens_consumo["English"]["copia_orca"] = "Orçamento ";
	$fieldToolTipstb_cotaitens_consumo["English"]["copia_orca"] = "";
	$placeHolderstb_cotaitens_consumo["English"]["copia_orca"] = "";
	if (count($fieldToolTipstb_cotaitens_consumo["English"]))
		$tdatatb_cotaitens_consumo[".isUseToolTips"] = true;
}


	$tdatatb_cotaitens_consumo[".NCSearch"] = true;



$tdatatb_cotaitens_consumo[".shortTableName"] = "tb_cotaitens_consumo";
$tdatatb_cotaitens_consumo[".nSecOptions"] = 0;

$tdatatb_cotaitens_consumo[".mainTableOwnerID"] = "";
$tdatatb_cotaitens_consumo[".entityType"] = 0;

$tdatatb_cotaitens_consumo[".strOriginalTableName"] = "tb_cotaitens_consumo";

	



$tdatatb_cotaitens_consumo[".showAddInPopup"] = false;

$tdatatb_cotaitens_consumo[".showEditInPopup"] = false;

$tdatatb_cotaitens_consumo[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_cotaitens_consumo[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_cotaitens_consumo[".listAjax"] = false;
//	temporary
$tdatatb_cotaitens_consumo[".listAjax"] = false;

	$tdatatb_cotaitens_consumo[".audit"] = false;

	$tdatatb_cotaitens_consumo[".locking"] = false;


$pages = $tdatatb_cotaitens_consumo[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_cotaitens_consumo[".edit"] = true;
	$tdatatb_cotaitens_consumo[".afterEditAction"] = 0;
	$tdatatb_cotaitens_consumo[".closePopupAfterEdit"] = 1;
	$tdatatb_cotaitens_consumo[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_cotaitens_consumo[".add"] = true;
$tdatatb_cotaitens_consumo[".afterAddAction"] = 1;
$tdatatb_cotaitens_consumo[".closePopupAfterAdd"] = 1;
$tdatatb_cotaitens_consumo[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_cotaitens_consumo[".list"] = true;
}



$tdatatb_cotaitens_consumo[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_cotaitens_consumo[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_cotaitens_consumo[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_cotaitens_consumo[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_cotaitens_consumo[".printFriendly"] = true;
}



$tdatatb_cotaitens_consumo[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_cotaitens_consumo[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_cotaitens_consumo[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_cotaitens_consumo[".isUseAjaxSuggest"] = true;

$tdatatb_cotaitens_consumo[".rowHighlite"] = true;





$tdatatb_cotaitens_consumo[".ajaxCodeSnippetAdded"] = false;

$tdatatb_cotaitens_consumo[".buttonsAdded"] = false;

$tdatatb_cotaitens_consumo[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_cotaitens_consumo[".isUseTimeForSearch"] = false;


$tdatatb_cotaitens_consumo[".badgeColor"] = "6493ea";


$tdatatb_cotaitens_consumo[".allSearchFields"] = array();
$tdatatb_cotaitens_consumo[".filterFields"] = array();
$tdatatb_cotaitens_consumo[".requiredSearchFields"] = array();

$tdatatb_cotaitens_consumo[".googleLikeFields"] = array();
$tdatatb_cotaitens_consumo[".googleLikeFields"][] = "cotacaoID";
$tdatatb_cotaitens_consumo[".googleLikeFields"][] = "itenconsumoID";
$tdatatb_cotaitens_consumo[".googleLikeFields"][] = "fornecedor";
$tdatatb_cotaitens_consumo[".googleLikeFields"][] = "preco";
$tdatatb_cotaitens_consumo[".googleLikeFields"][] = "apresentacao";
$tdatatb_cotaitens_consumo[".googleLikeFields"][] = "vigente";
$tdatatb_cotaitens_consumo[".googleLikeFields"][] = "foto_pdto";
$tdatatb_cotaitens_consumo[".googleLikeFields"][] = "copia_orca";



$tdatatb_cotaitens_consumo[".tableType"] = "list";

$tdatatb_cotaitens_consumo[".printerPageOrientation"] = 0;
$tdatatb_cotaitens_consumo[".nPrinterPageScale"] = 100;

$tdatatb_cotaitens_consumo[".nPrinterSplitRecords"] = 40;

$tdatatb_cotaitens_consumo[".geocodingEnabled"] = false;










$tdatatb_cotaitens_consumo[".pageSize"] = 20;

$tdatatb_cotaitens_consumo[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_cotaitens_consumo[".strOrderBy"] = $tstrOrderBy;

$tdatatb_cotaitens_consumo[".orderindexes"] = array();

$tdatatb_cotaitens_consumo[".sqlHead"] = "SELECT cotacaoID,  	itenconsumoID,  	fornecedor,  	preco,  	apresentacao,  	vigente,  	foto_pdto,  	copia_orca";
$tdatatb_cotaitens_consumo[".sqlFrom"] = "FROM tb_cotaitens_consumo";
$tdatatb_cotaitens_consumo[".sqlWhereExpr"] = "";
$tdatatb_cotaitens_consumo[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_cotaitens_consumo[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_cotaitens_consumo[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_cotaitens_consumo[".highlightSearchResults"] = true;

$tableKeystb_cotaitens_consumo = array();
$tableKeystb_cotaitens_consumo[] = "cotacaoID";
$tdatatb_cotaitens_consumo[".Keys"] = $tableKeystb_cotaitens_consumo;


$tdatatb_cotaitens_consumo[".hideMobileList"] = array();




//	cotacaoID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "cotacaoID";
	$fdata["GoodName"] = "cotacaoID";
	$fdata["ownerTable"] = "tb_cotaitens_consumo";
	$fdata["Label"] = GetFieldLabel("tb_cotaitens_consumo","cotacaoID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "cotacaoID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cotacaoID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cotaitens_consumo["cotacaoID"] = $fdata;
		$tdatatb_cotaitens_consumo[".searchableFields"][] = "cotacaoID";
//	itenconsumoID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "itenconsumoID";
	$fdata["GoodName"] = "itenconsumoID";
	$fdata["ownerTable"] = "tb_cotaitens_consumo";
	$fdata["Label"] = GetFieldLabel("tb_cotaitens_consumo","itenconsumoID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "itenconsumoID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "itenconsumoID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cotaitens_consumo["itenconsumoID"] = $fdata;
		$tdatatb_cotaitens_consumo[".searchableFields"][] = "itenconsumoID";
//	fornecedor
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "fornecedor";
	$fdata["GoodName"] = "fornecedor";
	$fdata["ownerTable"] = "tb_cotaitens_consumo";
	$fdata["Label"] = GetFieldLabel("tb_cotaitens_consumo","fornecedor");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "fornecedor";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fornecedor";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cotaitens_consumo["fornecedor"] = $fdata;
		$tdatatb_cotaitens_consumo[".searchableFields"][] = "fornecedor";
//	preco
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "preco";
	$fdata["GoodName"] = "preco";
	$fdata["ownerTable"] = "tb_cotaitens_consumo";
	$fdata["Label"] = GetFieldLabel("tb_cotaitens_consumo","preco");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "preco";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "preco";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Currency");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cotaitens_consumo["preco"] = $fdata;
		$tdatatb_cotaitens_consumo[".searchableFields"][] = "preco";
//	apresentacao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "apresentacao";
	$fdata["GoodName"] = "apresentacao";
	$fdata["ownerTable"] = "tb_cotaitens_consumo";
	$fdata["Label"] = GetFieldLabel("tb_cotaitens_consumo","apresentacao");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "apresentacao";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "apresentacao";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=500";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cotaitens_consumo["apresentacao"] = $fdata;
		$tdatatb_cotaitens_consumo[".searchableFields"][] = "apresentacao";
//	vigente
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "vigente";
	$fdata["GoodName"] = "vigente";
	$fdata["ownerTable"] = "tb_cotaitens_consumo";
	$fdata["Label"] = GetFieldLabel("tb_cotaitens_consumo","vigente");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "vigente";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "vigente";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cotaitens_consumo["vigente"] = $fdata;
		$tdatatb_cotaitens_consumo[".searchableFields"][] = "vigente";
//	foto_pdto
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "foto_pdto";
	$fdata["GoodName"] = "foto_pdto";
	$fdata["ownerTable"] = "tb_cotaitens_consumo";
	$fdata["Label"] = GetFieldLabel("tb_cotaitens_consumo","foto_pdto");
	$fdata["FieldType"] = 201;

	
	
	
			

		$fdata["strField"] = "foto_pdto";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "foto_pdto";

	
	
				$fdata["UploadFolder"] = "uploads\\itens_consumo";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "File-based Image");

	
	
				$vdata["ShowThumbnail"] = true;
	$vdata["ThumbWidth"] = 72;
	$vdata["ThumbHeight"] = 72;
	$vdata["ImageWidth"] = 600;
	$vdata["ImageHeight"] = 400;

			$vdata["multipleImgMode"] = 3;
	$vdata["maxImages"] = 0;

			$vdata["showGallery"] = true;
	$vdata["galleryMode"] = 2;
	$vdata["captionMode"] = 1;
	$vdata["captionField"] = "";

	$vdata["imageBorder"] = 1;
	$vdata["imageFullWidth"] = 1;


	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Document upload");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cotaitens_consumo["foto_pdto"] = $fdata;
		$tdatatb_cotaitens_consumo[".searchableFields"][] = "foto_pdto";
//	copia_orca
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "copia_orca";
	$fdata["GoodName"] = "copia_orca";
	$fdata["ownerTable"] = "tb_cotaitens_consumo";
	$fdata["Label"] = GetFieldLabel("tb_cotaitens_consumo","copia_orca");
	$fdata["FieldType"] = 201;

	
	
	
			

		$fdata["strField"] = "copia_orca";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "copia_orca";

	
	
				$fdata["UploadFolder"] = "uploads\\cotacoes";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Document Download");

	
	
	
				$vdata["ShowThumbnail"] = true;
					$vdata["ShowIcon"] = true;
		
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Document upload");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_cotaitens_consumo["copia_orca"] = $fdata;
		$tdatatb_cotaitens_consumo[".searchableFields"][] = "copia_orca";


$tables_data["tb_cotaitens_consumo"]=&$tdatatb_cotaitens_consumo;
$field_labels["tb_cotaitens_consumo"] = &$fieldLabelstb_cotaitens_consumo;
$fieldToolTips["tb_cotaitens_consumo"] = &$fieldToolTipstb_cotaitens_consumo;
$placeHolders["tb_cotaitens_consumo"] = &$placeHolderstb_cotaitens_consumo;
$page_titles["tb_cotaitens_consumo"] = &$pageTitlestb_cotaitens_consumo;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_cotaitens_consumo"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_cotaitens_consumo"] = array();



	
				$strOriginalDetailsTable="tb_itens_consumo";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="tb_itens_consumo";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "tb_itens_consumo";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["tb_cotaitens_consumo"][0] = $masterParams;
				$masterTablesData["tb_cotaitens_consumo"][0]["masterKeys"] = array();
	$masterTablesData["tb_cotaitens_consumo"][0]["masterKeys"][]="itenconsumoID";
				$masterTablesData["tb_cotaitens_consumo"][0]["detailKeys"] = array();
	$masterTablesData["tb_cotaitens_consumo"][0]["detailKeys"][]="itenconsumoID";
		
// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_cotaitens_consumo()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "cotacaoID,  	itenconsumoID,  	fornecedor,  	preco,  	apresentacao,  	vigente,  	foto_pdto,  	copia_orca";
$proto0["m_strFrom"] = "FROM tb_cotaitens_consumo";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "cotacaoID",
	"m_strTable" => "tb_cotaitens_consumo",
	"m_srcTableName" => "tb_cotaitens_consumo"
));

$proto6["m_sql"] = "cotacaoID";
$proto6["m_srcTableName"] = "tb_cotaitens_consumo";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "itenconsumoID",
	"m_strTable" => "tb_cotaitens_consumo",
	"m_srcTableName" => "tb_cotaitens_consumo"
));

$proto8["m_sql"] = "itenconsumoID";
$proto8["m_srcTableName"] = "tb_cotaitens_consumo";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "fornecedor",
	"m_strTable" => "tb_cotaitens_consumo",
	"m_srcTableName" => "tb_cotaitens_consumo"
));

$proto10["m_sql"] = "fornecedor";
$proto10["m_srcTableName"] = "tb_cotaitens_consumo";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "preco",
	"m_strTable" => "tb_cotaitens_consumo",
	"m_srcTableName" => "tb_cotaitens_consumo"
));

$proto12["m_sql"] = "preco";
$proto12["m_srcTableName"] = "tb_cotaitens_consumo";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "apresentacao",
	"m_strTable" => "tb_cotaitens_consumo",
	"m_srcTableName" => "tb_cotaitens_consumo"
));

$proto14["m_sql"] = "apresentacao";
$proto14["m_srcTableName"] = "tb_cotaitens_consumo";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "vigente",
	"m_strTable" => "tb_cotaitens_consumo",
	"m_srcTableName" => "tb_cotaitens_consumo"
));

$proto16["m_sql"] = "vigente";
$proto16["m_srcTableName"] = "tb_cotaitens_consumo";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "foto_pdto",
	"m_strTable" => "tb_cotaitens_consumo",
	"m_srcTableName" => "tb_cotaitens_consumo"
));

$proto18["m_sql"] = "foto_pdto";
$proto18["m_srcTableName"] = "tb_cotaitens_consumo";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "copia_orca",
	"m_strTable" => "tb_cotaitens_consumo",
	"m_srcTableName" => "tb_cotaitens_consumo"
));

$proto20["m_sql"] = "copia_orca";
$proto20["m_srcTableName"] = "tb_cotaitens_consumo";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto22=array();
$proto22["m_link"] = "SQLL_MAIN";
			$proto23=array();
$proto23["m_strName"] = "tb_cotaitens_consumo";
$proto23["m_srcTableName"] = "tb_cotaitens_consumo";
$proto23["m_columns"] = array();
$proto23["m_columns"][] = "cotacaoID";
$proto23["m_columns"][] = "itenconsumoID";
$proto23["m_columns"][] = "fornecedor";
$proto23["m_columns"][] = "preco";
$proto23["m_columns"][] = "apresentacao";
$proto23["m_columns"][] = "vigente";
$proto23["m_columns"][] = "foto_pdto";
$proto23["m_columns"][] = "copia_orca";
$obj = new SQLTable($proto23);

$proto22["m_table"] = $obj;
$proto22["m_sql"] = "tb_cotaitens_consumo";
$proto22["m_alias"] = "";
$proto22["m_srcTableName"] = "tb_cotaitens_consumo";
$proto24=array();
$proto24["m_sql"] = "";
$proto24["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto24["m_column"]=$obj;
$proto24["m_contained"] = array();
$proto24["m_strCase"] = "";
$proto24["m_havingmode"] = false;
$proto24["m_inBrackets"] = false;
$proto24["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto24);

$proto22["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto22);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_cotaitens_consumo";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_cotaitens_consumo = createSqlQuery_tb_cotaitens_consumo();


	
		;

								

$tdatatb_cotaitens_consumo[".sqlquery"] = $queryData_tb_cotaitens_consumo;

$tableEvents["tb_cotaitens_consumo"] = new eventsBase;
$tdatatb_cotaitens_consumo[".hasEvents"] = false;

?>